Package: org.apache.groovy.util.concurrent

## [Java] Class ConcurrentReferenceHashMap.InitializableEntry<K, V>

- org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.InitializableEntry

- All Implemented Interfaces and Traits:
    Entry

      protected static class ConcurrentReferenceHashMap.InitializableEntry<K, V>
      extends Object
      implements Entry

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public K` | `getKey()`
    `` | `public V` | `getValue()`
    `` | `public Entry<K, V>` | `init(K key, V value)`
    `` | `public V` | `setValue(V value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public K getKey()

    - #### @Override
      public V getValue()

    - #### public Entry<K, V> init(K key, V value)

    - #### @Override
      public V setValue(V value)